---
title: "Modify job"
url: "https://earlyaccess.developers.bynder.com/apis/workflow-jobs-api-1/versions/fe891cd9-8e8e-454e-83d7-5e79bbd56714/paths/api-workflow-jobs-id/put"
---

> Full API specification: https://earlyaccess.developers.bynder.com/apis/workflow-jobs-api-1/versions/fe891cd9-8e8e-454e-83d7-5e79bbd56714.md

# Modify job

`PUT` `/api/workflow/jobs/{id}`

Requires the JOBEDIT security role. Note: `responsibleID` and `responsibleGroupID` cannot be set on `previousStage`, `activeStage`, or `nextStage` through this endpoint. To update a stage's responsible user or group, use `PUT /api/workflow/stages/{id}`.

## Path parameters

- `id` (string, required)

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Successful response

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Workflow Jobs API
  version: 1.0.0
servers:
  - url: https://{your-bynder-domain}
paths:
  /api/workflow/jobs/{id}:
    put:
      description: "Requires the JOBEDIT security role. Note: `responsibleID` and
        `responsibleGroupID` cannot be set on `previousStage`, `activeStage`, or
        `nextStage` through this endpoint. To update a stage's responsible user
        or group, use `PUT /api/workflow/stages/{id}`."
      parameters:
        - example: 00000000-0000-0000-0000-000000000000
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            examples:
              example-1:
                value:
                  accountableID: 00000000-0000-0000-0000-000000000000
                  activeStage:
                    id: 00000000-0000-0000-0000-000000000002
                    status: Active
                  campaignID: 00000000-0000-0000-0000-000000000000
                  deadline: 2018-09-29
                  description: Job Description
                  jobMetaproperties:
                    00000000-0000-0000-0000-000000000000: 00000000-0000-0000-0000-000000000000
                  name: Job Example
                  nextStage:
                    deadline: 2024-08-31T00:00:00+00:00
                    id: 00000000-0000-0000-0000-000000000003
                    status: Idle
                  previousStage:
                    deadline: null
                    id: 00000000-0000-0000-0000-000000000001
                    status: Approved
            schema:
              properties:
                accountableID:
                  description: Id of the user accountable for the job (displayed as Reporter in
                    the UI). This does not update a stage's responsible user or
                    group; use PUT /api/workflow/stages/{id} for that.
                  example: 00000000-0000-0000-0000-000000000000
                  type: string
                activeStage:
                  description: The new active stage of the job
                  properties:
                    deadline:
                      description: Date of when the active stage ends
                      example: 2024-08-31T00:00:00+00:00
                      type: string
                    id:
                      description: ID of the new active stage
                      example: 00000000-0000-0000-0000-000000000002
                      type: string
                    status:
                      description: Status of the new active stage
                      enum:
                        - Idle
                        - Active
                        - Cancelled
                        - Approved
                        - NeedsChanges
                      example: Active
                      type: string
                  type: object
                campaignID:
                  description: Id of the campaign the job is part of
                  example: 00000000-0000-0000-0000-000000000000
                  type: string
                deadline:
                  description: Date of when the job ends
                  example: 2018-09-29
                  type: string
                description:
                  description: Description of the job
                  example: Job Description
                  type: string
                jobMetaproperties:
                  additionalProperties:
                    type: string
                  description: ID and metaproperty values
                  example:
                    00000000-0000-0000-0000-000000000000: 00000000-0000-0000-0000-000000000000
                  type: object
                name:
                  description: Name of the job
                  example: Job Example
                  type: string
                nextStage:
                  description: The new next stage of the job
                  properties:
                    deadline:
                      description: Date of when the next stage ends
                      example: 2024-08-31T00:00:00+00:00
                      type: string
                    id:
                      description: ID of the new next stage
                      example: 00000000-0000-0000-0000-000000000003
                      type: string
                    status:
                      description: Status of the new next stage
                      enum:
                        - Idle
                        - Active
                        - Cancelled
                        - Approved
                        - NeedsChanges
                      example: Idle
                      type: string
                  type: object
                previousStage:
                  description: The new previous stage of the job
                  properties:
                    deadline:
                      description: Date of when the previous stage ends
                      example: null
                      type: string
                    id:
                      description: ID of the new previous stage
                      example: 00000000-0000-0000-0000-000000000001
                      type: string
                    status:
                      description: Status of the new previous stage
                      enum:
                        - Idle
                        - Active
                        - Cancelled
                        - Approved
                        - NeedsChanges
                      example: Approved
                      type: string
                  type: object
              type: object
        required: true
      responses:
        "200":
          content:
            application/json:
              examples:
                example-1:
                  value:
                    job_id: 00000000-0000-0000-0000-000000000000
                    status: Updated
              schema:
                properties:
                  job_id:
                    example: 00000000-0000-0000-0000-000000000000
                    type: string
                  status:
                    example: Updated
                    type: string
                type: object
          description: Successful response
      security:
        - permanentToken:
            - JOBEDIT
        - OAuth2:
            - JOBEDIT
      summary: Modify job
      tags:
        - Jobs
security:
  - permanentToken:
      - JOBEDIT
  - OAuth2:
      - JOBEDIT
components:
  securitySchemes:
    permanentToken:
      in: header
      name: Authorization
      type: apiKey
    OAuth2:
      flows:
        authorizationCode:
          authorizationUrl: https://{your-auth-url}
          scopes:
            CAMPAIGNOVERVIEW: ""
            JOBADD: ""
            JOBAPPROVE: ""
            JOBEDIT: ""
            JOBOVERVIEW: ""
            JOBREMOVE: ""
            PRESETOVERVIEW: ""
          tokenUrl: https://{your-bynder-domain}/v6/authentication/oauth2/token
        clientCredentials:
          scopes:
            CAMPAIGNOVERVIEW: ""
            JOBADD: ""
            JOBAPPROVE: ""
            JOBEDIT: ""
            JOBOVERVIEW: ""
            JOBREMOVE: ""
            PRESETOVERVIEW: ""
          tokenUrl: https://{your-bynder-domain}/v6/authentication/oauth2/token
      type: oauth2
```
